gz_header_s Struct Reference

`#include <zlib.h>`

## Public Attributes

int | text
uLong | time
int | xflags
int | os
Bytef * | extra
uInt | extra_len
uInt | extra_max
Bytef * | name
uInt | name_max
Bytef * | comment
uInt | comm_max
int | hcrc
int | done

## Detailed Description

Definition at line 114 of file zlib.h.

## Member Data Documentation

## comm_max

uInt gz_header_s::comm_max

Definition at line 125 of file zlib.h.

## comment

Bytef* gz_header_s::comment

Definition at line 124 of file zlib.h.

## done

int gz_header_s::done

Definition at line 127 of file zlib.h.

## extra

Bytef* gz_header_s::extra

Definition at line 119 of file zlib.h.

## extra_len

uInt gz_header_s::extra_len

Definition at line 120 of file zlib.h.

## extra_max

uInt gz_header_s::extra_max

Definition at line 121 of file zlib.h.

## hcrc

int gz_header_s::hcrc

Definition at line 126 of file zlib.h.

## name

Bytef* gz_header_s::name

Definition at line 122 of file zlib.h.

## name_max

uInt gz_header_s::name_max

Definition at line 123 of file zlib.h.

## os

int gz_header_s::os

Definition at line 118 of file zlib.h.

## text

int gz_header_s::text

Definition at line 115 of file zlib.h.

## time

uLong gz_header_s::time

Definition at line 116 of file zlib.h.

## xflags

int gz_header_s::xflags

Definition at line 117 of file zlib.h.

The documentation for this struct was generated from the following file:

- restinio/third_party/zlib/zlib.h